---
wsId: 
title: HitBTC – Cryptocurrency Exchange & Trading BTC App
altTitle: 
authors:
- leo
users: 100000
appId: com.hittechsexpertlimited.hitbtc
appCountry: 
released: 2020-03-04
updated: 2022-04-12
version: 3.2.0
stars: 
ratings: 
reviews: 
size: 11M
website: https://hitbtc.com/
repository: 
issue: 
icon: com.hittechsexpertlimited.hitbtc.png
bugbounty: 
meta: ok
verdict: custodial
date: 2020-05-29
signer: 
reviewArchive: 
twitter: hitbtc
social:
- https://www.facebook.com/hitbtc
- https://www.reddit.com/r/hitbtc
redirect_from:
- /com.hittechsexpertlimited.hitbtc/
- /posts/com.hittechsexpertlimited.hitbtc/

---

On Google Play this app claims

> **High-Level Security**
  Don’t let anybody sneak into your trade: account access is strictly via API
  keys and PIN-code. Plus, advanced encryption technology and highly protected
  cold storage.

Which means it is a custodial service and thus **not verifiable**.
